import { Observable } from 'rxjs';
import { SvgOptions } from './token/svg-options.model';
import { SvgLoadStrategy } from './token/svg-load.strategy.model';
import * as i0 from "@angular/core";
export declare class SvgRegistry {
    private document;
    private svgLoadStrategy;
    private svgOptions;
    private readonly domParser;
    private readonly svgDomCache;
    private readonly _svgHrefCache;
    private readonly _cachedSvgs;
    defaultSize: string;
    url: (name: string) => string;
    constructor(document: Document, svgLoadStrategy: SvgLoadStrategy, svgOptions: SvgOptions);
    private hydrateFromDom;
    fetchSvg: (svgName: string) => void;
    isSvgCached(name: string): boolean;
    svgHref$(name: string): Observable<string>;
    private cacheSvgInDOM;
    private getSvgSubject;
    private svgId;
    static ɵfac: i0.ɵɵFactoryDeclaration<SvgRegistry, [{ optional: true; }, { optional: true; }, { optional: true; }]>;
    static ɵprov: i0.ɵɵInjectableDeclaration<SvgRegistry>;
}
